#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SH1106.h>
#include <Fonts/FontEdW20.h>
// tworzymy  obiekt wyświetlacza o nazwie: wysw
#define OLED_RESET 4
Adafruit_SH1106 wysw(OLED_RESET);
#if (SH1106_LCDHEIGHT != 64)
#error("Height incorrect, please fix Adafruit_SH1106.h!");
#endif

void setup()   {
 wysw.begin(SH1106_SWITCHCAPVCC, 0x3C);  // inicjalizacja
 // wysw.setFont(&Open_Sans_Condensed_Bold_10);
  wysw.setFont(&FontEdW20);
// pokaż ekran powitalny - logo Adafruit przez 1 sekundę:
  wysw.display();   delay(1000);
  wysw.clearDisplay(); //czyść ekran
  wysw.setCursor(0, 15); //kursor w punkcie początkowym
  wysw.setTextColor(1, 0);
  wysw.setTextSize(1);
  //wyswietlamy kody 120...145:
  for (int i = 120, j = 0; i < 146; i++, j++) {
    wysw.write(i);   }
  wysw.display(); //teraz wyświetl na ekranie
} 

void loop() { } //pusta pętla - kręć się w kółko...
